Summary: GNU  plotting package
Name: gnuplot
Version: 3.7
Release: 2
Group: Applications/Math
Copyright: GPL-style
Url: http://www.cs.dartmouth.edu/gnuplot_info.html
Packager: Hao Li <hli@wag.caltech.edu>
Source: ftp://ftp.dartmouth.edu/pub/gnuplot/%{name}-%{version}.tar.gz
BuildRoot: /var/tmp/%{name}-root

%description
This is the GNU plotting package.  It can be used to graph
data in an X window or to a file.


%prep
%setup -q


%build
CFLAGS="$RPM_OPT_FLAGS" ./configure \
	--prefix=/usr --datadir=/usr/share/gnuplot --with-gnu-readline
make
# Manually create documentations
make -C docs dvi ps html info DVIPS="dvips -t letter"
make -C docs/latextut tutorial.ps DVIPS="dvips -t letter"
make -C docs/ps
gzip -9 docs/{gnuplot.info,gnuplot.ps,gpcard.ps} docs/latextut/tutorial.ps


%install
rm -rf $RPM_BUILD_ROOT
make install \
	prefix=$RPM_BUILD_ROOT/usr datadir=$RPM_BUILD_ROOT/usr/share/gnuplot
strip $RPM_BUILD_ROOT/usr/bin/*
mkdir -p $RPM_BUILD_ROOT/usr/info
install -m644 docs/gnuplot.info.gz $RPM_BUILD_ROOT/usr/info


%post
/sbin/install-info /usr/info/gnuplot.info.gz /usr/info/dir \
	--entry="* gnuplot: (gnuplot).          GNU plotting package"

%preun
if [ $1 = 0 ]; then
    /sbin/install-info --delete /usr/info/gnuplot.info.gz /usr/info/dir \
	--entry="* gnuplot: (gnuplot).          GNU plotting package"
fi


%files
%defattr(-,root,root)
%doc 0* ChangeLog CodeStyle Copyright INSTALL.gnu NEWS PGPKEYS TODO
%doc demo docs/ps
%doc docs/gnuplot.dvi docs/gnuplot.ps.gz docs/gpcard.dvi docs/gpcard.ps.gz
%doc docs/gnuplot.html docs/latextut/tutorial.dvi docs/latextut/tutorial.ps.gz
/usr/bin/gnuplot
/usr/bin/gnuplot_x11
/usr/info/gnuplot.info.gz
/usr/man/man1/gnuplot.1
/usr/share/gnuplot/gnuplot.gih


%clean
rm -rf $RPM_BUILD_ROOT
